PHPExcel_Shared_Escher_DgContainer_SpgrContainer_SpContainer

category | PHPExcel
package | PHPExcel_Shared_Escher
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Get cell coordinates of bottom-right corner of shape

    getEndCoordinates() : string

### Returns

`string`

## Get offset in x-direction of bottom-right corner of shape measured in 1/1024 of column width

    getEndOffsetX() : int

### Returns

`int`

## Get offset in y-direction of bottom-right corner of shape measured in 1/256 of row height

    getEndOffsetY() : int

### Returns

`int`

## Get the nesting level of this spContainer.

    getNestingLevel() : int

This is the number of spgrContainers between this spContainer and the dgContainer. A value of 1 = immediately within first spgrContainer Higher nesting level occurs if and only if spContainer is part of a shape group

### Returns

`int`Nesting level

## Get an option for the Shape Group Container

    getOPT(int $property) : mixed

### Parameters

#### $property

`int`

The number specifies the option

### Returns

`mixed`

## Get the collection of options

    getOPTCollection() : array

### Returns

`array`

## Get the parent Shape Group Container

    getParent() : \PHPExcel_Shared_Escher_DgContainer_SpgrContainer

### Returns

`\PHPExcel_Shared_Escher_DgContainer_SpgrContainer`

## Get the shape flag

    getSpFlag() : int

### Returns

`int`

## Get the shape index

    getSpId() : int

### Returns

`int`

## Get the shape type

    getSpType() : int

### Returns

`int`

## Get whether this is a group shape

    getSpgr() : boolean

### Returns

`boolean`

## Get cell coordinates of upper-left corner of shape

    getStartCoordinates() : string

### Returns

`string`

## Get offset in x-direction of upper-left corner of shape measured in 1/1024 of column width

    getStartOffsetX() : int

### Returns

`int`

## Get offset in y-direction of upper-left corner of shape measured in 1/256 of row height

    getStartOffsetY() : int

### Returns

`int`

## Set cell coordinates of bottom-right corner of shape

    setEndCoordinates(string $value)

### Parameters

#### $value

`string`

## Set offset in x-direction of bottom-right corner of shape measured in 1/1024 of column width

    setEndOffsetX($endOffsetX)

### Parameters

#### $endOffsetX

## Set offset in y-direction of bottom-right corner of shape measured in 1/256 of row height

    setEndOffsetY(int $endOffsetY)

### Parameters

#### $endOffsetY

`int`

## Set an option for the Shape Group Container

    setOPT(int $property, mixed $value)

### Parameters

#### $property

`int`

The number specifies the option

#### $value

`mixed`

## Set parent Shape Group Container

    setParent(\PHPExcel_Shared_Escher_DgContainer_SpgrContainer $parent)

### Parameters

#### $parent

`\PHPExcel_Shared_Escher_DgContainer_SpgrContainer`

## Set the shape flag

    setSpFlag(int $value)

### Parameters

#### $value

`int`

## Set the shape index

    setSpId(int $value)

### Parameters

#### $value

`int`

## Set the shape type

    setSpType(int $value)

### Parameters

#### $value

`int`

## Set whether this is a group shape

    setSpgr(boolean $value)

### Parameters

#### $value

`boolean`

## Set cell coordinates of upper-left corner of shape

    setStartCoordinates(string $value)

### Parameters

#### $value

`string`

## Set offset in x-direction of upper-left corner of shape measured in 1/1024 of column width

    setStartOffsetX(int $startOffsetX)

### Parameters

#### $startOffsetX

`int`

## Set offset in y-direction of upper-left corner of shape measured in 1/256 of row height

    setStartOffsetY(int $startOffsetY)

### Parameters

#### $startOffsetY

`int`

### Properties

##

    $_OPT : array

##

    $_endCoordinates : string

'B2'

##

    $_endOffsetX : int

##

    $_endOffsetY : int

##

    $_parent : \PHPExcel_Shared_Escher_DgContainer_SpgrContainer

##

    $_spFlag : int

##

    $_spId : boolean

..)

##

    $_spType : int

##

    $_spgr : boolean

##

    $_startCoordinates : string

'A1'

##

    $_startOffsetX : int

##

    $_startOffsetY : int